const_iterator

## Public Types

using | iterator_category = std::forward_iterator_tag
using | value_type = typename promote< typename Expr1::scalar_type, typename Expr2::scalar_type >::type
using | reference = value_type &
using | pointer = value_type *
using | difference_type = std::ptrdiff_t

## Public Member Functions

| const_iterator (const BinaryFunction &f, typename Expr1::const_iterator iter1, typename Expr2::const_iterator iter2)
const_iterator & | operator++ ()
value_type | operator* () const

## Protected Attributes

const BinaryFunction | _f
Expr1::const_iterator | _iter1
Expr2::const_iterator | _iter2

## Detailed Description

Definition at line 552 of file field_expr_recursive.h.

## Member Typedef Documentation

## iterator_category

using iterator_category = std::forward_iterator_tag

Definition at line 553 of file field_expr_recursive.h.

## value_type

using value_type = typename promote< typename Expr1::scalar_type, typename Expr2::scalar_type>::type

Definition at line 556 of file field_expr_recursive.h.

## reference

using reference = value_type&

Definition at line 557 of file field_expr_recursive.h.

## pointer

using pointer = value_type*

Definition at line 558 of file field_expr_recursive.h.

## difference_type

using difference_type = std::ptrdiff_t

Definition at line 559 of file field_expr_recursive.h.

## Constructor & Destructor Documentation

## const_iterator()

const_iterator | ( | const BinaryFunction & | f,
|  | typename Expr1::const_iterator | iter1,
|  | typename Expr2::const_iterator | iter2
| ) |  |

Definition at line 560 of file field_expr_recursive.h.

## Member Function Documentation

## operator++()

const_iterator& operator++ | ( |  | ) |

Definition at line 562 of file field_expr_recursive.h.

## operator*()

value_type operator* | ( |  | ) | const

Definition at line 563 of file field_expr_recursive.h.

## Member Data Documentation

## _f

const BinaryFunction _f

protected

Definition at line 565 of file field_expr_recursive.h.

## _iter1

Expr1::const_iterator _iter1

protected

Definition at line 566 of file field_expr_recursive.h.

## _iter2

Expr2::const_iterator _iter2

protected

Definition at line 567 of file field_expr_recursive.h.

The documentation for this struct was generated from the following file:

- /build/rheolef-bzr82u/rheolef-7.1/main/lib/field_expr_recursive.h